package com.njcn.gather.system.resource.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.njcn.gather.system.resource.pojo.param.ResourceManageParam;
import com.njcn.gather.system.resource.pojo.po.ResourceManage;
import com.njcn.gather.system.resource.pojo.vo.PlayVO;
import com.njcn.gather.system.resource.pojo.vo.ResourceManageVO;

import javax.servlet.http.HttpServletResponse;

/**
 * 资源管理服务
 */
public interface IResourceManageService extends IService<ResourceManage> {

    Page<ResourceManageVO> list(ResourceManageParam.QueryParam queryParam);

    boolean add(ResourceManageParam resourceManageParam);

    boolean update(ResourceManageParam.UpdateParam updateParam);

    PlayVO play(String id);

    void stream(String id, String token, String rangeHeader, HttpServletResponse response);
}
